import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { AbstractPropertiesService } from './AbstractPropertiesService.js';
import { RefreshMode } from '../IPropertiesService.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
export declare abstract class AbstractPolymerLikePropertiesService extends AbstractPropertiesService {
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
    protected parseProperties(list: any): IPropertyGroup[] | IProperty[];
    getUnsetValue(designItems: IDesignItem[], property: IProperty): any;
}
